searchData={"items":[{"type":"module","title":"Hangman.Game","doc":"A game struct and functions for the _Hangman Game_.\n\nThe game struct contains the fields `game_name`, `game_state`, `turns_left`,\n`letters` and `used` representing the characteristics of a game in the\n_Hangman Game_.\n\n###","ref":"Hangman.Game.html"},{"type":"module","title":"Based on the course [Elixir for Programmers](https://codestool.coding-gnome.com/courses/elixir-for-programmers) by Dave Thomas. - Hangman.Game","doc":"","ref":"Hangman.Game.html#module-based-on-the-course-elixir-for-programmers-https-codestool-coding-gnome-com-courses-elixir-for-programmers-by-dave-thomas"},{"type":"function","title":"Hangman.Game.make_move/2","doc":"Makes a move by guessing a letter.","ref":"Hangman.Game.html#make_move/2"},{"type":"function","title":"Examples - Hangman.Game.make_move/2","doc":"iex> alias Hangman.Game\n    iex> game = Game.new()\n    iex> Game.make_move(game, \"a\").game_state in [:good_guess, :bad_guess]\n    true","ref":"Hangman.Game.html#make_move/2-examples"},{"type":"function","title":"Hangman.Game.new/2","doc":"Creates a game struct from a `game_name` and a `word` to be guessed. The\ndefault value for `game_name` is provided by function `random_name/0` and for\n`word` by function `Hangman.Dictionary.random_word/0`.","ref":"Hangman.Game.html#new/2"},{"type":"function","title":"Examples - Hangman.Game.new/2","doc":"iex> alias Hangman.Game\n    iex> game = Game.new()\n    iex> game_name_length = String.length(game.game_name)\n    iex> {game.game_state, game.turns_left, game_name_length in 4..10}\n    {:initializing, 7, true}\n\n    iex> alias Hangman.Game\n    iex> game = Game.new(\"Mr Smith\")\n    iex> {game.game_state, game.turns_left, game.game_name}\n    {:initializing, 7, \"Mr Smith\"}\n\n    iex> alias Hangman.Game\n    iex> game = Game.new(\"Wibble\", \"wibble\")\n    iex> {game.game_state, game.turns_left, game.game_name, game.letters}\n    {:initializing, 7, \"Wibble\", ~W[w i b b l e]}","ref":"Hangman.Game.html#new/2-examples"},{"type":"function","title":"Hangman.Game.random_name/0","doc":"Returns a random name of 4 to 10 characters.","ref":"Hangman.Game.html#random_name/0"},{"type":"function","title":"Examples - Hangman.Game.random_name/0","doc":"iex> alias Hangman.Game\n    iex> for _ <- 0..99, uniq: true do\n    iex>   length = Game.random_name() |> String.length()\n    iex>   length in 4..10\n    iex> end\n    [true]\n\n    iex> alias Hangman.Game\n    iex> for _ <- 0..99, uniq: true do\n    iex>   Game.random_name() =~ ~r/^[a-zA-Z0-9_-]{4,10}$/\n    iex> end\n    [true]","ref":"Hangman.Game.html#random_name/0-examples"},{"type":"function","title":"Hangman.Game.tally/1","doc":"Returns a tally map externalizing `game`.","ref":"Hangman.Game.html#tally/1"},{"type":"function","title":"Examples - Hangman.Game.tally/1","doc":"iex> alias Hangman.Game\n    iex> game = Game.random_name() |> Game.new(\"anaconda\")\n    iex> game = Game.make_move(game, \"a\")\n    iex> tally = Game.tally(game)\n    iex> {tally.game_state, tally.turns_left, tally.letters, tally.guesses}\n    {:good_guess, 7, ~W[a _ a _ _ _ _ a], ~W[a]}","ref":"Hangman.Game.html#tally/1-examples"},{"type":"type","title":"Hangman.Game.letter/0","doc":"Letter from `a` to `z`","ref":"Hangman.Game.html#t:letter/0"},{"type":"type","title":"Hangman.Game.name/0","doc":"Game name","ref":"Hangman.Game.html#t:name/0"},{"type":"type","title":"Hangman.Game.state/0","doc":"Game state","ref":"Hangman.Game.html#t:state/0"},{"type":"type","title":"Hangman.Game.t/0","doc":"A game struct for the Hangman Game","ref":"Hangman.Game.html#t:t/0"},{"type":"type","title":"Hangman.Game.tally/0","doc":"A tally map for the Hangman Game","ref":"Hangman.Game.html#t:tally/0"},{"type":"type","title":"Hangman.Game.turns_left/0","doc":"Turns left from 7 to 0","ref":"Hangman.Game.html#t:turns_left/0"},{"type":"type","title":"Hangman.Game.underline/0","doc":"Underline: `_`","ref":"Hangman.Game.html#t:underline/0"},{"type":"type","title":"Hangman.Game.used/0","doc":"A set of used (guessed) letters","ref":"Hangman.Game.html#t:used/0"}],"content_type":"text/markdown"}